<?php include "../../root.class.php";
$html = new html();
$html->add_styles_page();
$html->prevent_enter_script();

$jc_number = new input();
$jc_number->name("jc_number");
$jc_number->id("jc_number");
$jc_number->class("inputs");
$jc_number->placeholder("JOB CARD NUMBER");
$jc_number->type("text");
$jc_number->onkeyup("search_jobcard()");

$company_name = new input();
$company_name->name("company_name");
$company_name->id("company_name");
$company_name->class("inputs");
$company_name->placeholder("COMPANY NAME");
$company_name->type("text");
$company_name->onkeyup("search_jobcard()");

$account_manager_id = new input();
$account_manager_id->name("user_to_do");
$account_manager_id->id("user_to_do");
$account_manager_id->class("hidden");
$account_manager_id->value($_SESSION['user_id']);
$account_manager_id->type("text");
$account_manager_id->onkeyup("search_jobcard()");

?>

<div class="search_form">
    <?php
    $jc_number->add();
    $company_name->add();
    $account_manager_id->add();
    ?>
</div>

<?php
$ajax = new js_ajax();
$ajax->run_on_load();
$ajax->function_name("search_jobcard");
// $ajax->submit_btn_id("submit");
$ajax->select("job_cards_tech");
$ajax->return_columns(['jc_number']);
$ajax->redirect("edit_tech_jc.php");
?>